.outer {
    position: relative;
    /* margin: 20px auto; */
    width: 390px;
    height: 35px;
    line-height: 33px;
    border: 1px solid #ccc;
    background: #ccc9c9;
}

.outer span,
.filter-box,
.inner {
    position: absolute;
    top: 0;
    left: 0;
}

.outer span {
    display: block;
    padding: 0 0 0 36px;
    width: 100%;
    height: 100%;
    color: #fff;
    text-align: center;
}

.filter-box {
    width: 0;
    height: 100%;
    background: green;
    z-index: 9;
}

.outer.act span {
    padding: 0 36px 0 0;
}

.inner {
    width: 70px;
    height: 33px;
    text-align: center;
    background: #fff;
    cursor: pointer;
    font-family: "宋体";
    z-index: 10;
    font-weight: bold;
    color: #929292;
   
}

.outer.act .inner {
    color: green;
}

.outer.act span {
    z-index: 99;
}